org.apache.mina.util

## Class IdentityHashSet<E>

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractSet<E>
    - - org.apache.mina.util.MapBackedSet<E>
      - - org.apache.mina.util.IdentityHashSet<E>

- All Implemented Interfaces:
    Serializable, Iterable<E>, Collection<E>, Set<E>

      public class IdentityHashSet<E>
      extends MapBackedSet<E>

  An `IdentityHashMap`-backed `Set`.
  Author:
    Apache MINA Project
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.apache.mina.util.MapBackedSet

      `map`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IdentityHashSet()`
    `IdentityHashSet(Collection<E> c)`
    `IdentityHashSet(int expectedMaxSize)`

  - ### Method Summary

    - ### Methods inherited from class org.apache.mina.util.MapBackedSet

      `add, clear, contains, iterator, remove, size`

    - ### Methods inherited from class java.util.AbstractSet

      `equals, hashCode, removeAll`

    - ### Methods inherited from class java.util.AbstractCollection

      `addAll, containsAll, isEmpty, retainAll, toArray, toArray, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Set

      `addAll, containsAll, isEmpty, retainAll, toArray, toArray`

- - ### Constructor Detail

    - #### IdentityHashSet

          public IdentityHashSet()

    - #### IdentityHashSet

          public IdentityHashSet(int expectedMaxSize)

    - #### IdentityHashSet

          public IdentityHashSet(Collection<E> c)

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.